imports:
    - { resource: cqrs/alert.yaml }
    - { resource: cqrs/company.yaml }
    - { resource: cqrs/files.yaml }
    - { resource: cqrs/follows.yaml }
    - { resource: cqrs/history.yaml }
    - { resource: cqrs/leaves.yaml }
    - { resource: cqrs/performance.yaml }
    - { resource: cqrs/profile.yaml }
    - { resource: cqrs/rbac.yaml }
    - { resource: cqrs/skills.yaml }
    - { resource: cqrs/supervisors.yaml }

services:
    Application\UseCase\User\UserCreateHandlerInterface:
        class: Application\UseCase\User\UserCreateHandler
        autowire: true
        public: false
        tags:
            - { name: tactician.handler, command: Infrastructure\UserBundle\Command\UserCreateCommand }

    Application\UseCase\User\UserEditHandlerInterface:
        class: Application\UseCase\User\UserEditHandler
        autowire: true
        public: false
        tags:
            - { name: tactician.handler, command: Infrastructure\UserBundle\Command\UserEditCommand }

    Application\UseCase\User\UserListHandlerInterface:
        class: Application\UseCase\User\UserListHandler
        autowire: true
        public: false
        tags:
            - { name: tactician.handler, command: Infrastructure\UserBundle\Command\UserSearchCommand }

    Application\UseCase\User\UserListPrimaryHandlerInterface:
        class: Application\UseCase\User\UserListPrimaryHandler
        autowire: true
        public: false
        tags:
            - { name: tactician.handler, command: Infrastructure\UserBundle\Command\UserListPrimaryCommand }

    Application\UseCase\User\UserViewHandlerInterface:
        class: Application\UseCase\User\UserViewHandler
        autowire: true
        public: false
        tags:
            - { name: tactician.handler, command: Infrastructure\UserBundle\Command\UserViewCommand }

    Application\UseCase\User\UserDismissalHandlerInterface:
        class: Application\UseCase\User\UserDismissalHandler
        autowire: true
        public: false
        tags:
            - { name: tactician.handler, command: Infrastructure\UserBundle\Command\UserDismissalCommand }
